## AsDistroDetails AsDistroDetails — Object providing information about the current distribution |

## Functions

AsDistroDetails * | as_distro_details_new ()
AsDistroDetails * | as_distro_details_construct ()
gchar * | as_distro_details_config_distro_get_str ()
const gchar * | as_distro_details_get_distro_id ()
gboolean | as_distro_details_config_distro_get_bool ()
const gchar * | as_distro_details_get_distro_name ()
const gchar * | as_distro_details_get_distro_version ()
gchar ** | as_distro_details_get_icon_repository_paths ()

## Properties

gchar * | distro-id | Read
gchar * | distro-name | Read
gchar * | distro-version | Read

## Object Hierarchy

        GObject
        ╰── AsDistroDetails

## Includes

    #include <appstream.h>

## Description

This object abstracts various distribution-specific settings and provides information about the (Linux) distribution which is currently in use. It is used internalls to get information about the icon-store or the 3rd-party screenshot service distributors may want to provide.

See also: AsDatabase

## Functions

### as_distro_details_new ()

    AsDistroDetails *
    as_distro_details_new (void);

Creates a new AsDistroDetails instance.

#### Returns

a new AsDistroDetails instance.

[transfer full]

### as_distro_details_construct ()

    AsDistroDetails *
    as_distro_details_construct (GType object_type);

Construct a new AsDistroDetails instance.

#### Returns

a new AsDistroDetails instance.

[transfer full]

### as_distro_details_config_distro_get_str ()

    gchar *
    as_distro_details_config_distro_get_str
                                   (AsDistroDetails *self,
                                    const gchar *key);

### as_distro_details_get_distro_id ()

    const gchar *
    as_distro_details_get_distro_id (AsDistroDetails *self);

### as_distro_details_config_distro_get_bool ()

    gboolean
    as_distro_details_config_distro_get_bool
                                   (AsDistroDetails *self,
                                    const gchar *key);

### as_distro_details_get_distro_name ()

    const gchar *
    as_distro_details_get_distro_name (AsDistroDetails *self);

### as_distro_details_get_distro_version ()

    const gchar *
    as_distro_details_get_distro_version (AsDistroDetails *self);

### as_distro_details_get_icon_repository_paths ()

    gchar **
    as_distro_details_get_icon_repository_paths
                                   (void);

Returns list of icon-paths for software-center applications to use. Icons of software (even if it is not installed) are stored in these locations.

#### Returns

A NULL-terminated array of paths.

[transfer full]

## Types and Values

## Property Details

### The `“distro-id”` property

      “distro-id”                gchar *

distro-id.

Flags: Read

Default value: NULL

### The `“distro-name”` property

      “distro-name”              gchar *

distro-name.

Flags: Read

Default value: NULL

### The `“distro-version”` property

      “distro-version”           gchar *

distro-version.

Flags: Read

Default value: NULL